Upgrade to Mavericks? Currently using OS X 10.5.8?

I'm new to Mac and recently purchased a refurbished Mac Mini. I'm not sure what version it is but it currently has Mac OS X 10.5.8 installed on it. I understand that to upgrade this to Mavericks, I will need at least Mac OS X 10.6? I'm not sure if this will work or what to do or what is the best way to fully utilise my new computer. Any help will be extremely grateful.

Back To Product

Follow this Question

2 Answers from the Community

  • Best Answer:

    There are two ways to find out if your Mac can run Mavericks. The first way is to figure out exactly what Mac you have (select About This Mac from the Apple menu), then check what you find against the system requirements for Mavericks. The second way is to purchase and install Snow Leopard (OS X 10.6), then keep selecting Software Update from the Apple menu until there are no more updates available. At this point you will be able to open the Mac App Store and search for Mavericks. When you try to install Mavericks, it will refuse to install if your Mac doesn't support it. Either way, an upgrade to Snow Leopard makes sense - Leopard (OS X 10.5.8) is essentially obsolete.

    Was this useful? Answer 1

    9 of 9 people found this useful

  • Go to "About This Mac" under the Apple Menu. Select "More Info". Then select "System Report".

    If the Model ID of your MacMini is PowerMac10,1 or PowerMac10,2 … unfortunately, Snow Leopard will not run on it since it has a PowerPC processor. Snow Leopard will only run on Intel-based Macs.

    If the Model ID is Macmini1,1 or Macmini2,1 … the MacMini can have Snow Leopard installed, but can not have newer versions of the OS installed [e.g.: Lion (OS10.7), Mountain Lion (OS10.8), Mavericks (OS10.9)]. Snow Leopard also requires at least 1GB of memory.

    If the Model ID is Macmini3,1 or higher … then any OS from OS10.6 (Snow Leopard) to OS10.9 (Mavericks) can be installed. Note that the later versions of the OS require at least 2GB of memory.

    In order to install any OS after OS10.6, one must have at least OS10.6.8 installed first, which gives you the "App Store" app. The "App Store" app allows one to download the latest OS (currently Mavericks) and install. (To download Lion or Mountain Lion, one must first purchase a code from the online Apple Store, which gives access to those versions of the OS through the App Store app.)

    To get to OS 10.6.8 after installing Snow Leopard, do "Software Update" from the Apple Menu.

    Was this useful? Answer 2

    4 of 5 people found this useful

Related Questions